Subject: Re: [PATCH net-next v3 04/12] net: dsa: retain a per-port device_node pointer

From: Florian Fainelli <[email-masked]>
Date: Mon, 25 Aug 2014 17:51:19 -0700

On 08/24/2014 07:30 PM, Florian Fainelli wrote:
> Le 24/08/2014 16:32, Alexander Duyck a écrit :
>> On 08/24/2014 11:44 AM, Florian Fainelli wrote:
>>> We will later use the per-port device_node pointer to fetch a bunch of
>>> port-specific properties.
>>>
>>> Signed-off-by: Florian Fainelli <[email-masked]>
>>> ---
>>>   include/net/dsa.h | 1 +
>>>   net/dsa/dsa.c     | 2 ++
>>>   net/dsa/slave.c   | 1 +
>>>   3 files changed, 4 insertions(+)
>>>
>>> diff --git a/include/net/dsa.h b/include/net/dsa.h
>>> index 91d5ba435ab6..66bb036831fd 100644
>>> --- a/include/net/dsa.h
>>> +++ b/include/net/dsa.h
>>> @@ -41,6 +41,7 @@ struct dsa_chip_data {
>>>        * or any other string to indicate this is a physical port.
>>>        */
>>>       char        *port_names[DSA_MAX_PORTS];
>>> +    struct device_node *port_dn[DSA_MAX_PORTS];
>>>
>>>       /*
>>>        * An array (with nr_chips elements) of which element [a]
>>
>> It might make sense to place name and device_node pointers members of a
>> port struct, and move that array of structs to the end of the
>> dsa_chip_data structure.
> 
> That's a good point, I will fix that.

I just realized that this structure is also used in arch/arm/* and
arch/blackfin/*. While I can compile test this, I am kind of reluctant
to make this change just now, maybe a little later in the net-next merge
window, if that sounds okay with you?

Thanks
--
Florian